#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_JuKunShopCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//商品名称
	std::string mShopName;
	//商品id
	int mShopItem;
	//商品数量
	int mShopNumber;
	//需要鲲币
	int mNeedKunCoin;
	//权重
	int mWeight;
};

class Fish_JuKunShopCFG
{
public:
private:
	static std::auto_ptr<Fish_JuKunShopCFG> msSingleton;
public:
	int GetCount();
	const Fish_JuKunShopCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_JuKunShopCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_JuKunShopCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_JuKunShopCFGData> mMapData;
};
